Subject: [bug#27713] [PATCH] gnu: Move ncurses/gpm to (gnu packages ncurses).

From: Danny Milosavljevic <[email-masked]>
Date: Sat, 15 Jul 2017 21:30:00 +0200

Hi T G-R,

On Sat, 15 Jul 2017 21:15:21 +0200
Tobias Geerinckx-Rice <[email-masked]> wrote:

> * gnu/packages/linux.scm (ncurses/gpm): Move from here...
> * gnu/packages/ncurses.scm (ncurses/gpm): ...to here.
> ---
> 
> I think this makes sense. What you, Danny?

If it still finds gpm, sure.  But I don't like creating cycles between modules if it can be avoided.  I think that in a certain sense it is true that if gpm is Linux-specific, ncurses-with-gpm is Linux-specific as well.

> +    (inputs
> +     `(("gpm" ,gpm)))))
                  ^^^
Please make sure that "guix build ncurses-with-gpm" still works.